%%
%% This is file `AEEE.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% AEEE_cp1250_out.dtx  (with options: `cls')
%% 
%% This is a generated file.
%% Copyright (C) 2012 by Miroslav Bures <miroslav.bures@vsb.cz>
%% Department of Telecommunications, VSB - Technical University of Ostrava
%% 
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%   http://www.latex-project.org/lppl.txt
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%% 
%% This work has the LPPL maintenance status `maintained'.
%% 
%% The Current Maintainer of this work is Miroslav Bures.
%% 
%% \GlossaryPrologue{\section*{Historie zm\v{e}n}}
\def\fileversion{1.1.1}
\def\filedate{2012/10/18}
\def\docdate{18. \v{r}\'{\i}jna 2012}
\NeedsTeXFormat{LaTeX2e}%[1995/12/01]
\ProvidesClass{AEEE}
  [\filedate\space v\fileversion\space AEEE LaTeX document class]
\RequirePackage{ifthen}
\newtoks\AEEE@Title
\AEEE@Title={Missing title of an article!}
\newtoks\AEEE@Author
\AEEE@Author={Missing author!}
\newtoks\AEEE@Email
\AEEE@Email={Missing e-mail address of the author!}
\newtoks\AEEE@DOI
\AEEE@DOI={Missing DOI address of the article!}
\newtoks\AEEE@History
\AEEE@History={Missing History of the article!}
\newtoks\AEEE@Institute
\AEEE@Institute={Missing the institution/workplace!}
\newtoks\AEEE@Abstract
\AEEE@Abstract={Missing abstract!}
\newtoks\AEEE@KeyWords
\AEEE@KeyWords={Missing keywords!}
\newtoks\AEEE@Thanks
\AEEE@Thanks={}
\newtoks\AEEE@ListOfAuthors
\AEEE@ListOfAuthors={}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[8pt,twocolumn,twoside]{article}
\RequirePackage{fancyhdr}
\RequirePackage[a4paper,includeheadfoot,marginparwidth=0mm,marginparsep=0mm,left=20mm,
right=20mm,top=7mm,bottom=16mm,headheight=14.5mm,footskip=12.5mm,headsep=5mm]{geometry}
\RequirePackage{graphicx}
\RequirePackage{color}
\RequirePackage{calc}
\RequirePackage[hang,footnotesize,bf,singlelinecheck=off,justification=justified]{caption}
\RequirePackage{bold-extra}
\RequirePackage{etoolbox}
\RequirePackage[T1]{fontenc}
\IfFileExists{headfoot.tex}
{
\input{headfoot.tex}
}
{
\fancyhf{}
\fancyhead{}
\fancyfoot{}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
}
\newcommand{\Title}[1]{\AEEE@Title={#1}}
\newcommand{\Author}[1]{\AEEE@Author={\textit{#1}}}
\newcommand{\Email}[1]{\AEEE@Email={#1}}
\newcommand{\DOI}[1]{\AEEE@DOI={#1}}
\newcommand{\History}[1]{\AEEE@History={#1}}
\newcommand{\Institute}[1]{\AEEE@Institute={#1}}
\newcommand{\MakeTitle}%
{%
  \pagestyle{fancy}
  \twocolumn
  [
    \AEEE@TitlePage
  ]
}
\newcommand{\AEEE@TitlePage}%
{%

  \begin{center}
    \vskip 1ex
    {\LARGE\bfseries{\scshape{\the\AEEE@Title}}\par}
    \vskip 7ex
    {\large\the\AEEE@Author\par}
    \vskip 7mm
    {\normalsize\the\AEEE@Institute\par}
    \bigskip
    {\normalsize\the\AEEE@Email\par}
    \bigskip
    {\normalsize\the\AEEE@DOI\par}
 	\bigskip
	{\normalsize\the\AEEE@History\par}
  \end{center}
  \vskip 1.5em
}
\newcommand{\Abstract}[1]
{
\AEEE@Abstract={#1}
\noindent\normalsize{\it\textbf{Abstract.}\ }{\it\the\AEEE@Abstract}
}
\newcommand{\KeyWords}[1]
{
\AEEE@KeyWords={#1}
\section*{Keywords}
%\hspace{\parindent}
%\begin{minipage}{\columnwidth-\parindent}
\normalsize{\bf\textit{\the\AEEE@KeyWords}}
%\end{minipage}
}
\newcommand{\Thanks}
{%
  \section*{\Large{Acknowledgment}}
  \normalsize\the\AEEE@Thanks
}
\newcommand{\contributions}
{%
  \section*{\Large{Author Contributions}}
  \normalsize\the\AEEE@Thanks
}
\newcommand{\AEEE@AddTokens}[2]
{%
  \expandafter \global#1\expandafter{\the#1#2}
}


\newcommand{\AddAuthor}[3]
{%
  \AEEE@AddTokens{\AEEE@ListOfAuthors}{{\bf#1\ }{\bf\MakeUppercase{#2}\ }{\normalsize#3}\\ \\}
}

\newcommand{\ListOfAuthors}
{%
\section*{About Authors}
\the\AEEE@ListOfAuthors
}
\renewcommand{\thesection}
{
  \arabic{section}.
}
\renewcommand{\thesubsection}
{
  \arabic{section}.\arabic{subsection}.
}
\renewcommand{\thesubsubsection}
{
\indent\arabic{subsubsection})
}
\renewcommand\section{\suppressfloats\@startsection {section}{1}{\z@}%
  {-3.5ex \@plus -1ex \@minus -.2ex}%
  {2.3ex \@plus.2ex}%
  {\raggedright\normalfont\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
  {-3.25ex\@plus -1ex \@minus -.2ex}%
  {1.5ex \@plus .2ex}%
  {\raggedright\normalfont\large\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
  {-3.25ex\@plus -1ex \@minus -.2ex}%
  {1.5ex \@plus .2ex}%
  {\raggedright\normalfont\normalsize\bfseries}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
  {3.25ex \@plus1ex \@minus.2ex}%
  {-1em}%
  {\raggedright\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\z@}%
  {3.25ex \@plus1ex \@minus .2ex}%
  {-1em}%
  {\raggedright\normalfont\normalsize\bfseries}}
\newcommand{\InsertFigure}[4]
{
  \begin{figure}[!htbp]
    \centering
    \includegraphics[scale=#2]{#1}
    \caption{#3}
    \label{#4}
  \end{figure}
}
\newcommand{\Insti}[1]
{
\unskip$^{#1}$\unskip
}
\newcommand{\Inst}[1]
{
$^{#1}$\unskip
}
\providecommand{\uv}[1]{\leavevmode\quotedblbase#1\textquotedblleft}
\setlength{\parskip}{2mm}
\widowpenalty=10000
\clubpenalty=10000
\AtBeginDocument%
{%
\@ifpackageloaded{babel}{
    \addto\captionsczech{
\renewcommand{\figurename}{Obr.}
\renewcommand{\tablename}{Tab.}
    \renewcommand{\refname}{Literatura}
    }
    \addto\captionsslovak{
\renewcommand{\figurename}{Obr.}
\renewcommand{\tablename}{Tab.}
\renewcommand{\refname}{Literat\'{u}ra}
    }
    \addto\captionsenglish{
\renewcommand{\figurename}{Fig.}
\renewcommand{\tablename}{Tab.}
\renewcommand{\refname}{References}
    }
  }
  {
\renewcommand{\figurename}{Fig.}
\renewcommand{\tablename}{Tab.}
  }
}
\endinput
%%
%% End of file `AEEE.cls'.
